Bug 6275 - Automated backups of data and config
Summary: Automated backups of data and config
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-27 23:24 UTC by Robin Sheat
Modified: 2012-10-25 23:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (4.78 KB, patch)
2011-04-28 04:39 UTC, Robin Sheat
Details | Diff | Splinter Review
Signed off patch (4.84 KB, patch)
2011-05-16 22:02 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-04-27 23:24:20 UTC
Currently there is no built-in way of doing backups. This will add a cron job that will perform daily backups to a set location on the file system (whereupon it can be archived off-machine, or whatever.)
Comment 1 Robin Sheat 2011-04-28 04:39:15 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-05-16 22:02:43 UTC
Created attachment 4129 [details] [review]
Signed off patch
Comment 3 Paul Poulain 2011-08-10 12:48:52 UTC
QA comment

Robin and Chris being much more relevant than me for Debian administration, I just have read the patch.
I've found nothing strange. It can't break anything in Koha, just Debian package/packaging

Marking "passed QA"
Comment 4 Chris Cormack 2011-08-11 00:56:42 UTC
Pushed, please test
Comment 5 Robin Sheat 2011-08-15 06:42:06 UTC
Checked on master
Comment 6 Chris Nighswonger 2011-10-26 18:02:31 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.